#!/bin/bash
set -e
set -o pipefail

git-shallow-clone "${VTM_TAG}" "${VTM_REPO}" /src/vtm
pushd /src/vtm
# Patch -Werror out and remove other build outputs
sed -i 's/warnings-as-errors//g' CMakeLists.txt
sed -i -r 's@add_subdirectory\( "source/App/.*$@@g' CMakeLists.txt
echo 'add_subdirectory( "source/App/EncoderApp" )' >> CMakeLists.txt
echo 'add_subdirectory( "source/App/DecoderApp" )' >> CMakeLists.txt
mkdir b
pushd b
cmake .. \
-DENABLE_HIGH_BITDEPTH=ON \
-DBUILD_SHARED_LIBS=OFF \
-DENABLE_STATIC=ON \
-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
-DCMAKE_BUILD_TYPE=Release \
-D CMAKE_INSTALL_PREFIX:PATH=/usr
make -j$(nproc)
cp -v /src/vtm/bin/EncoderAppStatic /usr/bin/VTMEncoder
cp -v /src/vtm/bin/DecoderAppStatic /usr/bin/VTMDecoder